classification
Title: Expose dict_proxy type from descrobject.c
Type: enhancement Stage:
Components: Extension Modules, Interpreter Core Versions:
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Expose dict_proxy internal type as types.MappingProxyType
View: 14386
Assigned To: Nosy List: eric.snow, ndparker
Priority: normal Keywords:

Created on 2012-03-07 23:35 by ndparker, last changed 2012-06-23 21:48 by eric.snow. This issue is now closed.

Messages (1)
msg155131 - (view) Author: André Malo (ndparker) * Date: 2012-03-07 23:35
As discussed in the dev-thread about frozendicts, it would be helpful for providing advisory read-only-dicts, to just expose the dict_proxy type. I suppose, the collections module would be a good place (it just needs to provide the interface to the type, not the whole implementation).
History
Date User Action Args
2012-06-23 21:48:09eric.snowsetstatus: open -> closed
resolution: duplicate
superseder: Expose dict_proxy internal type as types.MappingProxyType
2012-03-09 08:52:15eric.snowsetnosy: + eric.snow
2012-03-07 23:35:39ndparkercreate